# CUBETIQ HTTP Tunnel Client

A lightweight http tunnel client using nodejs and socket.io client.

### Installation

```shell
npm i -g @cubetiq/hlt

OR

npx @cubetiq/hlt

```

### Usage

- Initialize Client and Start (Quick)

```shell
# Initialize a client and token for connect (default's profile)
npx @cubetiq/hlt init

# Start port 3000 to remote server
npx @cubetiq/hlt start 3000
```

- Initialize Client and Start (Quick with custom's profile)

```shell
# Initialize a client and token for connect (mytest's profile)
npx @cubetiq/hlt init -p mytest

# Start port 3000 to remote server (mytest's profile)
npx @cubetiq/hlt start 3000 -p mytest
```

### Custom Config

- Generate Client Key

```shell
npx @cubetiq/hlt config client new
```

- Set Client Token (Required, contact to vendor)

```shell
npx @cubetiq/hlt config token $TOKEN
```

- Custom Server

```shell
npx @cubetiq/hlt config server https://lt.ctdn.net
```

- Start Client

```shell
npx @cubetiq/hlt start $YOUR_PORT
```

### Contributors

- Original [web-tunnel](https://github.com/web-tunnel/lite-http-tunnel-client)
- Sambo Chea <sombochea@cubetiqs.com>
